| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DomainEntity Class Reference

The DomainEntity class is a subclass of Entity created in order to differentiate between DomainParticipants and the rest of Entities. More...

`#include <Entity.hpp>`

Inheritance diagram for DomainEntity:
[legend]

## Public Member Functions

| DomainEntity (const StatusMask &mask=StatusMask::all())
| Constructor.
Public Member Functions inherited from Entity
FASTDDS_EXPORTED_API | Entity (const StatusMask &mask=StatusMask::all())
| Constructor.
virtual ReturnCode_t | enable ()
| This operation enables the Entity.
void | close ()
| This operation disables the Entity before closing it.
FASTDDS_EXPORTED_API const StatusMask & | get_status_mask () const
| Retrieves the set of relevant statuses for the Entity.
FASTDDS_EXPORTED_API const StatusMask & | get_status_changes () const
| Retrieves the set of triggered statuses in the Entity.
const InstanceHandle_t & | get_instance_handle () const
| Retrieves the instance handler that represents the Entity.
FASTDDS_EXPORTED_API bool | is_enabled () const
| Checks if the Entity is enabled.
FASTDDS_EXPORTED_API bool | operator== (const Entity &other) const
FASTDDS_EXPORTED_API StatusCondition & | get_statuscondition ()
| Allows access to the StatusCondition associated with the Entity.
FASTDDS_EXPORTED_API const StatusCondition & | get_statuscondition () const
| Allows access to the StatusCondition associated with the Entity.

## Additional Inherited Members

Protected Member Functions inherited from Entity
FASTDDS_EXPORTED_API void | set_instance_handle (const InstanceHandle_t &handle)
| Setter for the Instance Handle.
Protected Attributes inherited from Entity
StatusMask | status_mask_
| StatusMask with relevant statuses set to 1.
StatusCondition | status_condition_
| Condition associated to the Entity.
InstanceHandle_t | instance_handle_
| InstanceHandle associated to the Entity.
bool | enable_
| Boolean that states if the Entity is enabled or disabled.

## Detailed Description

The DomainEntity class is a subclass of Entity created in order to differentiate between DomainParticipants and the rest of Entities.

## Constructor & Destructor Documentation

## ◆ DomainEntity()

DomainEntity | ( | const StatusMask & | mask = StatusMask::all() | ) |

inline

Constructor.

Parameters

  mask | StatusMask (default: all)

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/Entity.hpp